JavaToJSONConverters (rhino 1.7.14 API)

org.mozilla.javascript

## Class JavaToJSONConverters

- java.lang.Object
- - org.mozilla.javascript.JavaToJSONConverters

-     public class JavaToJSONConverters
      extends java.lang.Object

  This class provides implementations of converters for Java objects to be used by the JSON.stringify method.

  JSON.stringify will automatically convert instances of java.util.Map to javascript objects. Instances of java.util.Collection and java Arrays will be converted to javascript arrays.

  This is a final effort at conversion for other java objects that appear as values, and may be preempted by objects which define a toJSON() method or by a replacer function passed to JSON.stringify. The return value will, in turn, be converted according to `Context.javaToJS(java.lang.Object, org.mozilla.javascript.Scriptable)` and stringified.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.function.UnaryOperator<java.lang.Object>` | `BEAN` Convert JavaBean to an object as long as it has at least one readable property
    `static java.util.function.UnaryOperator<java.lang.Object>` | `EMPTY_OBJECT` Always return an empty object
    `static java.util.function.UnaryOperator<java.lang.Object>` | `STRING` Convert Object to its toString() value.
    `static java.util.function.UnaryOperator<java.lang.Object>` | `THROW_TYPE_ERROR` Throw a TypeError naming the class that could not be converted
    `static java.util.function.UnaryOperator<java.lang.Object>` | `UNDEFINED` Always return undefined

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRING

          public static final java.util.function.UnaryOperator<java.lang.Object> STRING

      Convert Object to its toString() value.

    - #### UNDEFINED

          public static final java.util.function.UnaryOperator<java.lang.Object> UNDEFINED

      Always return undefined

    - #### EMPTY_OBJECT

          public static final java.util.function.UnaryOperator<java.lang.Object> EMPTY_OBJECT

      Always return an empty object

    - #### THROW_TYPE_ERROR

          public static final java.util.function.UnaryOperator<java.lang.Object> THROW_TYPE_ERROR

      Throw a TypeError naming the class that could not be converted

    - #### BEAN

          public static final java.util.function.UnaryOperator<java.lang.Object> BEAN

      Convert JavaBean to an object as long as it has at least one readable property

      If unable to determine properties or if none exist, null is returned. This method can be called from other converters to provide an alternate value on a returned null.